aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorWladimir J. van der Laan <laanwj@gmail.com>2017-11-01 14:21:23 +0100
committerWladimir J. van der Laan <laanwj@gmail.com>2017-11-01 14:21:39 +0100
commit34833534b656f565df9510a6c649687063db956d (patch)
treeb5e9a72ad17a5b3501ee769e90b3dc3354c4040e /contrib
parent7d4546f17dca84928bd2b6d1e2588b673c237321 (diff)
parent01223a02613610c7477449929dc74db96229f13d (diff)
downloadbitcoin-34833534b656f565df9510a6c649687063db956d.tar.xz
Merge #11550: [0.15.1] qa: Backports
01223a0 [verify-commits] Allow revoked keys to expire (Matt Corallo) adbc9d1 qa: Fix race condition in sendheaders.py (Suhas Daftuar) fdad04e qa: Fix replace-by-fee race condition failures (Suhas Daftuar) Pull request description: Tree-SHA512: e1532a02a84d9406cc78975a59201dbde78750217d504896e7e448aa86d6b4df98dc959fae440044c8f9aedebf296a9537b18e281976344ca8e4b705d7bd50b0
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/verify-commits/gpg.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/contrib/verify-commits/gpg.sh b/contrib/verify-commits/gpg.sh
index b01e2a6d39..abd8f5fd9f 100755
--- a/contrib/verify-commits/gpg.sh
+++ b/contrib/verify-commits/gpg.sh
@@ -46,6 +46,11 @@ for LINE in $(echo "$GPG_RES"); do
REVSIG=true
GOODREVSIG="[GNUPG:] GOODSIG ${LINE#* * *}"
;;
+ "[GNUPG:] EXPKEYSIG "*)
+ [ "$BITCOIN_VERIFY_COMMITS_ALLOW_REVSIG" != 1 ] && exit 1
+ REVSIG=true
+ GOODREVSIG="[GNUPG:] GOODSIG ${LINE#* * *}"
+ ;;
esac
done
if ! $VALID; then